// Alert box class
// version 0.1a

import java.awt.*;


class Alert extends Dialog
{

	private Button button;
	private Panel panel1, panel2;
	private Label label;

	public Alert( String title, String message, boolean modal)
	{
		super( new Frame(), title, modal );
		button = new Button("Okay");
		panel1 = new Panel();
		panel2 = new Panel();
		label = new Label(message);
		panel1.add(label);
		panel2.add(button);
		button.setBackground(Color.lightGray);
		panel1.setBackground(Color.white);
		panel2.setBackground(Color.white);
		add("Center", panel1);
		add("South", panel2);
		resize(200,100);
		show();
	}

	public boolean handleEvent( Event evt )
	{
		if (evt.id == Event.WINDOW_DESTROY)
		{
			removeDialog();
			return true;
		}

		return super.handleEvent(evt);
	}


	public boolean action(Event evt, Object arg)
	{
		if (evt.target == button)
			removeDialog();

		return true;
	}

	public void removeDialog()
	{
		hide();
		dispose();
	}
}
